// ChildView.h : interface of the CChildView class
//

#pragma once

class TCanvas;
class TPad;
class TH2F;
class TF1;
class TF2;
class TF3;
class TVirtualPad;

// CChildView window

class CChildView : public CWnd
{
// Construction
public:
	CChildView();

// Attributes
public:

// Operations
public:

// Overrides
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);

// Implementation
public:
	virtual ~CChildView();

private:
   TCanvas     *fCanvas;
   TF2         *f1;
   TF2         *f2;
   TF2         *f2clone;
   TF2         *fun1;
   TF2         *fun2;
   TF2         *fun3;
   TF3         *fun4;
   TH2F        *h2;
   TPad        *pad1;
   TPad        *pad2;
   TVirtualPad *fCanvas_1;
   TVirtualPad *fCanvas_2;
   TVirtualPad *fCanvas_3;
   TVirtualPad *fCanvas_4;


	// Generated message map functions
protected:
	afx_msg void OnPaint();
	DECLARE_MESSAGE_MAP()
public:
   afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
   afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
   afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
   afx_msg void OnMButtonDblClk(UINT nFlags, CPoint point);
   afx_msg void OnMButtonDown(UINT nFlags, CPoint point);
   afx_msg void OnMButtonUp(UINT nFlags, CPoint point);
   afx_msg void OnMDIActivate(BOOL bActivate, CWnd* pActivateWnd, CWnd* pDeactivateWnd);
   afx_msg void OnRButtonDblClk(UINT nFlags, CPoint point);
   afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
   afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
   afx_msg void OnSize(UINT nType, int cx, int cy);
   afx_msg void OnMouseMove(UINT nFlags, CPoint point);
   afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
   afx_msg void On2dhistos();
   afx_msg void On2dfunc();
   afx_msg void OnSurfaces();
   afx_msg void OnOptionsGlinpad();
};

